Subject: Re: bug#32446: Configure-time requirement for gnutls is too old

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Sep 2018 17:08:12 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 18 Sep 2018 09:14:46 -0400
> Cc: [email-masked], Ted Zlatanov <[email-masked]>, 
> 	Gavin Smith <[email-masked]>
> 
> On 18 September 2018 at 06:28, Eli Zaretskii <[email-masked]> wrote:
> 
> > This caused Emacs with GnuTLS 3.4.15 to crash in the test suite.  The
> > problem is that the test suite avoids trying AEAD-capable ciphers when
> > AEAD is unavailable, but one of the changes in the above made _all_
> > ciphers look like not AEAD-capable.
> 
> Oh, you mean using an AEAD cipher with the non-AEAD codepath crashes?

More like "with non-AEAD capable gnutls.c".  It's arguably a bug in
the test suite, but given the available attributes of the ciphgers, I
couldn't find any alternative way of filtering out the AEAD ciphers.